      SUBROUTINE REHELP(ITTY)
C     RENBR(REHLP2/DIALOG OF SWITCHES THEN NAMES 1 PER LINE
C
C     DONALD BARTH, HARVARD BUSINESS SCHOOL
C
      WRITE(ITTY,1)
    1 FORMAT(42H This program renumbers and/or lists FORTR,
     139HAN programs.  The user  will  first  be/7H asked ,
     249H to specify whatever options are desired.  If the,
     325H user specifies an option/20H which logically app,
     449Hlies  only  to  a  listing,  then  a  listing  is,
     512H  generated./33H Likewise,  if  the  user  specif,
     648Hies  an option which logically applies only when/
     749H renumbering, then the FORTRAN text will be  renu,
     832Hmbered.   If  both  listing  and)
      WRITE(ITTY,2)
    2 FORMAT(42H renumbering  are  requested  at  the same,
     139H time, then it will be the FORTRAN text/7H after ,
     249Hrenumbering which is listed.  All of the options ,
     325H specified  by  the  user/20H must  be  typed  on,
     449H a single line.  The user does not need to specif,
     512Hy any option/33H for which the standard value is ,
     648Hacceptable, with the exception, of course,  that/
     749H enough  options must be specified to select whet,
     832Hher listing or renumbering is to/13H be performed,
     91H./)
      WRITE(ITTY,3)
    3 FORMAT(42H Each option is specified by typing a lett,
     139Her or a letter with a following  number/7H or  nu,
     249Hmbers.  These letter and number combinations can ,
     325Hhave the forms /letter or/20H /letter:number or /,
     449Hletter:number:number where the initial slash and ,
     512H the  colons/33H are  optional.   Thus  A5  and  ,
     648HL60 66  are  equivalent  to  /A:5  and  /L:60:66/
     714H respectively.//30H If a listing is requested, th,
     849Hen the user will be asked for a title to be  plac,
     92Hed)
      WRITE(ITTY,4)
    4 FORMAT(42H at the top of each page, and for the name,
     139H of the file to which the listing is to/7H be wri,
     249Htten.  If renumbering is requested, then the user,
     325H will be  asked  for  the/20H name  of  the  file,
     449H into which the renumbered text is to be copied. ,
     512H After these/33H resulting files have been specif,
     648Hied, the user will be asked to specify the  name/
     743H of the first or only file to be processed.//2H T,
     849Hhe user will then be asked repeatedly to specify ,
     930Hthe next file to be processed.)
      WRITE(ITTY,5)
    5 FORMAT(42H If  the  user  specifies  a second or a s,
     139Hubsequent file, then the text resulting/7H from t,
     249Hhe processing of these additional files  will  be,
     325H  appended  to  the  same/20H listing or renumber,
     449Hed files as the first.  Usually, only a single fi,
     512Hle should be/33H processed if the file is being r,
     648Henumbered.  This single file  would  contain  as/
     749H many routines as are convenient.  However, sever,
     832Hal related files might be listed)
      WRITE(ITTY,6)
    6 FORMAT(42H at the same time so that they appear toge,
     139Hther in a single listing with a  single/7H table ,
     249H of contents.  Once all of the files which are to,
     325H be processed at the same/20H time have been spec,
     449Hified, the user should merely press the RETURN ke,
     512Hy when asked/33H to  specify  the  next file.  Th,
     648He user will then be asked to specify the options/
     749H for the next file or files which are  to  be  pr,
     832Hocessed  separately  from  those)
      WRITE(ITTY,7)
    7 FORMAT(42H already  processed.  If no more files are,
     139H to be processed at this time, then the/7H user s,
     249Hhould merely press the RETURN key again to exit f,
     316Hrom the program.//28H The letters which can be us,
     449Hed to select the various options are listed below,
     51H.//44H A followed by number of spaces to add left ,
     637Hof statements in IF THEN block or  in/3X,6HDO loo,
     726Hp.  /A or /A:0 equals /A:1/19H B followed by smal,
     842Hlest statement number in renumbered output)
      WRITE(ITTY,8)
    8 FORMAT(42H C column formatted renumbered output with,
     139H statement numbers ending in column  5./3X,4HStat,
     233Hement text will start in column 7/12H E followed ,
     349Hby number of extra tables of contents.  /E or /E:,
     413H0 equals /E:1/32H F listing device has form feed.,
     549H  Pages in listing  will  be  separated  by  form/
     63X,46Hfeeds  if  output  is  to  LPT  device.  /F ca,
     732Hn be followed by number of lines/3X,10Hprintable ,
     834Hper page.  /F or /F:0 equals /F:60)
      WRITE(ITTY,9)
    9 FORMAT(42H G followed by number of blank lines to be,
     139H listed between FORTRAN statements.  No/3X,4Hextr,
     249Ha blank lines are listed between comment lines.  ,
     322H/G or /G:0 equals /G:1/23H I followed  by  increm,
     449Hent  between  statement  numbers  in  renumbered ,
     59H  output./3X,34HNegative  increment,  such as spec,
     644Hified by /I:-1, gives smallest number at end/3X,
     749Hof program.  Smallest number will be absolute val,
     829Hue  of  increment  unless  /B/3X,13Hspecifies non,
     946H-zero smallest number.  /I or /I:0 equals /I:1)
      WRITE(ITTY,10)
   10 FORMAT(42H J followed by number of blank lines to be,
     139H at top of 1st, at bottom  of  2nd  and/3X,4Htop ,
     249Hof 3rd pages, etc.  This can be followed by numbe,
     325Hr of blank lines to be at/3X,17Hbottom of 1st, at,
     449H top of 2nd and bottom of 3rd pages, etc.  These ,
     512Hblank  lines/3X,30Hare  inserted  to  allow  top ,
     648H binding  of  unburst  fanfold paper and must be/
     73X,46Hincluded in printing line limit specified by /,
     87HF or /L/39H K long lines are to be kept intact in ,
     97Hlisting)
      WRITE(ITTY,11)
   11 FORMAT(42H L pages in listing will be separated by c,
     139Hounted line feeds.  /L can be  followed/3X,4Hby  ,
     249Hnumber  of lines printable per page.  This can be,
     325H followed by total number/3X,17Hof lines per page,
     449H.  /S:0 is assumed if /S has not already been  se,
     512Hlected.   /L/3X,23Hor /L:0 equals /L:60:66/4H M i,
     649Hf issued not followed by a number, old statement ,
     728Hnumbers are maintained.   If/3X,14HM  is  followe,
     849Hd  by  2  numbers,  then  these are lowest and hi,
     915Hghest statement/3X,22Hnumbers to be modified)
      WRITE(ITTY,12)
   12 FORMAT(42H P followed by first page number in listin,
     126Hg.  /P or /P:0 equals /P:1/19H S followed by numb,
     249Her of characters printable beyond normal right ma,
     313Hrgin.  Excess/3X,29Hcharacters  are  right  justi,
     449Hfied  on  following  line.   /S  or /S:0 gives 70/
     53X,33Hcharacter lines.  /S:13 equals /K/9H T tab fo,
     649Hrmatted renumbered output.  Tab character will pr,
     720Hecede statement text/25H U column formatted renum,
     849Hbered output with statement numbers starting  in ,
     97H column)
      WRITE(ITTY,13)
   13 FORMAT(3X,39H1.  Statement text will start in column,
     12H 7/44H V listing is to be viewed on this terminal.,
     236H  Only 1 input file can be specified/9H W follow,
     349Hed by width of tab stop columns to  be  used  whe,
     423Hn  converting  tabs  to/3X,19Hspaces  in  comment,
     549H  lines.   Tabs  in  comment  lines  are  not  co,
     610Hnverted in/3X,32Hrenumbered output unless /W is t,
     729Hyped.  /W or /W:0 equals /W:8//15H Listing is req,
     849Huested by /E, /F, /G, /J, /K, /L, /P,  /S  and  /,
     917HV.   The  default)
      WRITE(ITTY,14)
   14 FORMAT(42H options  are  initial  page  number  1,  ,
     139Hform  feeds,  intact long lines, single/7H spacin,
     227Hg, and 1 table of contents.//17H Renumbered is re,
     349Hquested by /B, /C, /I, /M, /T and /U.  The defaul,
     415Ht  options  are/30H smallest statement number 1, ,
     530Hincrement 1 and column format./)
      RETURN
      END
 

